import { CreateMqlQueryMutationVariables } from "../mutations/mql/MqlMutationTypes";
import { FetchMqlTimeSeriesQuery, MqlQueryStatus } from "../queries/mql/MqlQueryTypes";
declare type State = {
    retries: number;
    queryId: string | null;
    queryStatus: MqlQueryStatus;
    data?: FetchMqlTimeSeriesQuery["mqlQuery"] | null;
    cancelledQueries: string[];
    fetchStartTime: number | null;
    isTakingForever: boolean;
    errorMessage?: string;
};
declare type UseMqlQueryParams = {
    metricName: string;
    limit?: number;
    queryInput?: CreateMqlQueryMutationVariables;
    skip?: boolean;
    retries?: number;
};
export default function useMqlQuery({ queryInput, metricName, limit, skip, retries, }: UseMqlQueryParams): State;
export {};
